## org.eclipse.datatools.sqltools.schemaobjecteditor.ui.internal.ui
Class SingleTokenSQLScanner

    java.lang.Object
      org.eclipse.jface.text.rules.RuleBasedScanner
          org.eclipse.jface.text.rules.BufferedRuleBasedScanner
              org.eclipse.datatools.sqltools.sqleditor.internal.sql.AbstractSQLScanner
                  org.eclipse.datatools.sqltools.schemaobjecteditor.ui.internal.ui.SingleTokenSQLScanner

All Implemented Interfaces:
  org.eclipse.jface.text.rules.ICharacterScanner, org.eclipse.jface.text.rules.ITokenScanner

    public class SingleTokenSQLScanner

extends AbstractSQLScanner

Author:
  Li Huang

Field Summary

Fields inherited from interface org.eclipse.jface.text.rules.ICharacterScanner
`EOF`

Constructor Summary
`SingleTokenSQLScanner(java.lang.String tokenKey)`

Method Summary

Methods inherited from class org.eclipse.datatools.sqltools.sqleditor.internal.sql.AbstractSQLScanner
`initialize`

Methods inherited from class org.eclipse.jface.text.rules.BufferedRuleBasedScanner
`read, setRange, unread`

Methods inherited from class org.eclipse.jface.text.rules.RuleBasedScanner
`getColumn, getLegalLineDelimiters, getTokenLength, getTokenOffset, nextToken, setDefaultReturnToken, setRules`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleTokenSQLScanner

    public SingleTokenSQLScanner(java.lang.String tokenKey)